SoCylinderDetail(3IV)

NAME
SoCylinderDetail — stores detail information about the SoCylinder node

INHERITS FROM
SoDetail > SoCylinderDetail

SYNOPSIS
#include <Inventor/details/SoCylinderDetail.h>

Methods from class SoCylinderDetail:

SoCylinderDetail()
virtual
~SoCylinderDetail()
int
getPart() const
static SoType
getClassTypeId()

Methods from class SoDetail:

SoDetail *
copy() const
virtual SoType
getTypeId() const
SbBool
isOfType(SoType type) const

DESCRIPTION
This class contains detail information about a point on a cylinder. It contains the part of the cylinder that was hit (sides, top, or bottom).

METHODS

SoCylinderDetail()
virtual
~SoCylinderDetail()
Constructor and destructor.

int
getPart() const
Returns the part in the detail. The returned value is one of the SoCylinder part flags.

static SoType
getClassTypeId()
Returns type identifier for this class.

SEE ALSO
SoCylinder, SoDetail, SoPickedPoint, SoPrimitiveVertex